Debian fórum

Tipy, triky, návody - pouze návody, nevkládat dotazy! => Správa aplikací => Téma založeno: klusik 22. 01. 2009, 19:13:57

Název: VLC a přehrávání Xvid v Lenny - hledal jsem a vyřešil jsem, tady je řešení
Přispěvatel: klusik 22. 01. 2009, 19:13:57
Ahoj, v Lennym je problém s přehráváním videí, prý tam jde o nějaké kolize s kodeky, či co - prostě kdyby vám to nefungovalo, stačí provést jediné - do /etc/apt/sources.list přidejte experimental větev a proveďte následující příkaz:

 apt-get -t experimental install --reinstall ffmpeg=0.svn20080206* libavcodec51=0.svn20080206* libavdevice52=0.svn20080206* libavformat52=0.svn20080206* libavutil49=0.svn20080206* libpostproc51=0.svn20080206* libswscale0=0.svn20080206*

(nebo místo hvězdiček napište -15, třeba ffmpeg=0.svn20080206-15) - ale s hvězdičkou to nainstaluje jen nejnovější verze.

Jinde radí downgrade třeba na verzi -8, ale myslím, že když už máte toho lennyho ....

Hodně zdaru. Klidně napište, kdyby něco ;)

Jo a ještě jedna věc; do konfiguráku /etc/apt/preferences (není-li, vytvořte) jsem si dal

Package: libavcodec51
Pin: version 0.svn20080206-15
Pin-Priority: 900

Package: libavformat52
Pin: version 0.svn20080206-15
Pin-Priority: 900

a vím, že se mi tam starší nedowngraduje při dalším apt-get upgrade atd ;)

Ahoj.

R.
Název: Re: VLC a přehrávání Xvid v Lenny - hledal jsem a vyřešil jsem, tady je řešení
Přispěvatel: Miro churchyard Hrončok 26. 01. 2009, 00:00:34
Používáš debian-multimedia.org repozitář? Mě pomohlo jeho nepoužívání (jinak normální balík ffmpegu z ofic. repo VLC "nezničí").
Název: Re: VLC a přehrávání Xvid v Lenny - hledal jsem a vyřešil jsem, tady je řešení
Přispěvatel: klusik 26. 01. 2009, 09:58:26
Používáš debian-multimedia.org repozitář? Mě pomohlo jeho nepoužívání (jinak normální balík ffmpegu z ofic. repo VLC "nezničí").

Ahoj, používám http://ftp.cz.debian.org/debian/ sid main contrib non-free jak deb tak deb-src.

Přechodem na tuto verzi z lennyho se to na jednom počítači rozbilo a musel jsem toto provést. Jinak na mám desktopu jsem toto musel provést i v Lennym, než jsem přešel na Sida. Na přítelkyně notebooku naopak v Lennym fungovalo a provést jsem musel až u unstable.

VLC jsem naháhl z experimental větve (0.9.8 nemýlím-li se), ale tohle nefungovalo ani s 0.8.X z Lennyho (vlckem to přímo neni...); )


R.